export const defaultSchema = [
  {
    "attr": 1667,
    "canTrigger": true,
    "code": "switch_led",
    "defaultRecommend": true,
    "editPermission": true,
    "executable": true,
    "extContent": "",
    "iconname": "icon-dp_power",
    "id": 20,
    "mode": "rw",
    "name": "灯开关",
    "property": {
      "type": "bool"
    },
    "type": "obj"
  },
  {
    "attr": 1664,
    "canTrigger": true,
    "code": "work_mode",
    "defaultRecommend": true,
    "editPermission": true,
    "executable": true,
    "extContent": "",
    "iconname": "icon-dp_mode",
    "id": 21,
    "mode": "rw",
    "name": "灯模式",
    "property": {
      "range": [
        "white",
        "colour",
        "scene",
        "music"
      ],
      "type": "enum"
    },
    "type": "obj"
  },
  {
    "attr": 1664,
    "canTrigger": true,
    "code": "bright_value",
    "defaultRecommend": true,
    "editPermission": true,
    "executable": true,
    "extContent": "",
    "iconname": "icon-liangdu1",
    "id": 22,
    "mode": "rw",
    "name": "亮度值",
    "property": {
      "min": 10,
      "max": 1000,
      "scale": 0,
      "step": 1,
      "type": "value"
    },
    "type": "obj"
  },
  {
    "attr": 1664,
    "canTrigger": true,
    "code": "temp_value",
    "defaultRecommend": true,
    "editPermission": true,
    "executable": true,
    "extContent": "",
    "iconname": "icon-dp_half",
    "id": 23,
    "mode": "rw",
    "name": "冷暖值",
    "property": {
      "min": 0,
      "max": 1000,
      "scale": 0,
      "step": 1,
      "type": "value"
    },
    "type": "obj"
  },
  {
    "attr": 1664,
    "canTrigger": true,
    "code": "colour_data",
    "defaultRecommend": true,
    "editPermission": true,
    "executable": true,
    "extContent": "",
    "iconname": "icon-yanse",
    "id": 24,
    "mode": "rw",
    "name": "彩光",
    "property": {
      "type": "string",
      "maxlen": 255
    },
    "type": "obj"
  },
  {
    "attr": 1664,
    "canTrigger": true,
    "code": "scene_data",
    "defaultRecommend": true,
    "editPermission": true,
    "executable": true,
    "extContent": "",
    "iconname": "icon-shoucang",
    "id": 25,
    "mode": "rw",
    "name": "场景",
    "property": {
      "type": "string",
      "maxlen": 255
    },
    "type": "obj"
  },
  {
    "attr": 1664,
    "canTrigger": true,
    "code": "countdown",
    "defaultRecommend": true,
    "editPermission": true,
    "executable": true,
    "extContent": "",
    "iconname": "icon-a_nav_timer",
    "id": 26,
    "mode": "rw",
    "name": "灯倒计时",
    "property": {
      "unit": "s",
      "min": 0,
      "max": 86400,
      "scale": 0,
      "step": 1,
      "type": "value"
    },
    "type": "obj"
  },
  {
    "attr": 128,
    "canTrigger": true,
    "code": "music_data",
    "defaultRecommend": false,
    "editPermission": false,
    "executable": true,
    "extContent": "",
    "iconname": "icon-deng",
    "id": 27,
    "mode": "wr",
    "name": "音乐灯",
    "property": {
      "type": "string",
      "maxlen": 255
    },
    "type": "obj"
  },
  {
    "attr": 1664,
    "canTrigger": true,
    "code": "control_data",
    "defaultRecommend": true,
    "editPermission": true,
    "executable": true,
    "extContent": "",
    "iconname": "icon-dp_box2",
    "id": 28,
    "mode": "wr",
    "name": "调节",
    "property": {
      "type": "string",
      "maxlen": 255
    },
    "type": "obj"
  },
  {
    "attr": 128,
    "canTrigger": true,
    "code": "power_memory",
    "defaultRecommend": false,
    "editPermission": false,
    "executable": true,
    "extContent": "",
    "iconname": "icon-Trigger",
    "id": 33,
    "mode": "rw",
    "name": "断电记忆",
    "type": "raw"
  },
  {
    "attr": 128,
    "canTrigger": true,
    "code": "do_not_disturb",
    "defaultRecommend": false,
    "editPermission": false,
    "executable": true,
    "extContent": "",
    "iconname": "icon-dp_mode",
    "id": 34,
    "mode": "rw",
    "name": "勿扰模式",
    "property": {
      "type": "bool"
    },
    "type": "obj"
  },
  {
    "attr": 128,
    "canTrigger": true,
    "code": "switch_gradient",
    "defaultRecommend": false,
    "editPermission": false,
    "executable": true,
    "extContent": "",
    "iconname": "icon-dp_mode",
    "id": 35,
    "mode": "rw",
    "name": "开关渐变",
    "type": "raw"
  },
  {
    "attr": 128,
    "canTrigger": true,
    "code": "mix_light_scene",
    "defaultRecommend": false,
    "editPermission": false,
    "executable": true,
    "extContent": "",
    "iconname": "icon-dp_mode",
    "id": 36,
    "mode": "rw",
    "name": "混光场景",
    "type": "raw"
  },
  {
    "attr": 640,
    "canTrigger": true,
    "code": "mix_rgbcw",
    "defaultRecommend": true,
    "editPermission": false,
    "executable": true,
    "extContent": "",
    "iconname": "icon-deng",
    "id": 51,
    "mode": "rw",
    "name": "混光",
    "type": "raw"
  },
  {
    "attr": 1664,
    "canTrigger": true,
    "code": "fan_switch",
    "defaultRecommend": true,
    "editPermission": true,
    "executable": true,
    "extContent": "",
    "iconname": "icon-dp_power2",
    "id": 60,
    "mode": "rw",
    "name": "风扇开关",
    "property": {
      "type": "bool"
    },
    "type": "obj"
  },
  {
    "attr": 1664,
    "canTrigger": true,
    "code": "fan_mode",
    "defaultRecommend": true,
    "editPermission": true,
    "executable": true,
    "extContent": "",
    "iconname": "icon-a_mode_fan",
    "id": 61,
    "mode": "rw",
    "name": "风模式",
    "property": {
      "range": [
        "fresh",
        "nature"
      ],
      "type": "enum"
    },
    "type": "obj"
  },
  {
    "attr": 1664,
    "canTrigger": true,
    "code": "fan_speed",
    "defaultRecommend": true,
    "editPermission": true,
    "executable": true,
    "extContent": "",
    "iconname": "icon-FanSpeed",
    "id": 62,
    "mode": "rw",
    "name": "风速",
    "property": {
      "unit": "转速",
      "min": 1,
      "max": 200,
      "scale": 0,
      "step": 1,
      "type": "value"
    },
    "type": "obj"
  },
  {
    "attr": 1664,
    "canTrigger": true,
    "code": "fan_direction",
    "defaultRecommend": true,
    "editPermission": true,
    "executable": true,
    "extContent": "",
    "iconname": "icon-dp_mode",
    "id": 63,
    "mode": "rw",
    "name": "风向",
    "property": {
      "range": [
        "forward",
        "reverse"
      ],
      "type": "enum"
    },
    "type": "obj"
  },
  {
    "attr": 1664,
    "canTrigger": true,
    "code": "fan_countdown_left",
    "defaultRecommend": true,
    "editPermission": true,
    "executable": true,
    "extContent": "",
    "iconname": "icon-dp_time3",
    "id": 64,
    "mode": "rw",
    "name": "风扇倒计时",
    "property": {
      "unit": "min",
      "min": 0,
      "max": 540,
      "scale": 0,
      "step": 1,
      "type": "value"
    },
    "type": "obj"
  },
  {
    "attr": 1152,
    "canTrigger": true,
    "code": "fan_beep",
    "defaultRecommend": false,
    "editPermission": true,
    "executable": true,
    "extContent": "",
    "iconname": "icon-dp_voice",
    "id": 66,
    "mode": "rw",
    "name": "蜂鸣器",
    "property": {
      "type": "bool"
    },
    "type": "obj"
  },
  {
    "attr": 1152,
    "canTrigger": true,
    "code": "fault",
    "defaultRecommend": false,
    "editPermission": true,
    "executable": true,
    "extContent": "",
    "iconname": "icon-baojing",
    "id": 67,
    "mode": "ro",
    "name": "故障告警",
    "property": {
      "label": [
        "motor_fault"
      ],
      "type": "bitmap",
      "maxlen": 1
    },
    "type": "obj"
  }
]